#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License, v.1,  (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://opensource.org/licenses/CDDL-1.0.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2014-2017 Cavium, Inc. 
# The contents of this file are subject to the terms of the Common Development 
# and Distribution License, v.1,  (the "License").
#
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the License at available 
# at http://opensource.org/licenses/CDDL-1.0
#
# See the License for the specific language governing permissions and 
# limitations under the License.
#

#
#
#  checksum - configures checksum offloading capability
#           - default is TCP/UDP/IPv4 checksum offload for rx/tx
#           - 0 = no checksum offload
#           - 1 = IPv4 checksum offload for rx/tx
# default_checksum=1;
#
#
# rx_ring_size-configures the number of RX packet descriptors to allocate per ring
#          - valid range is 1024 to 8192
#          - default is 8192
# default_rx_ring_size=8192;
#
# tx_ring_size-configures the number of RX packet descriptors to allocate per ring
#          - valid range is 1024 to 8192
#          - default is 8192
# default_tx_ring_size=8192;
#
# lso_enable - enable TCP Large Segment Offload (LSO)
#            - default enabled
#            - 0 = disabled / 1 = enabled
# default_lso_enable=1;
#qede0_lso_enable=0;
#qede1_lso_enable=0;
#qede2_lso_enable=0;
#qede3_lso_enable=0;
#
# lro_enable - enable TCP Large Receive Offload (LRO)
#            - default enabled
#            - 0 = disabled / 1 = enabled
# default_lro_enable=1;
#qede0_lro_enable=0;
#qede1_lro_enable=0;
#qede2_lro_enable=0;
#qede3_lro_enable=0;
#
# num_fp - configures the number of rings to allocate
#           - valid values are 1,2,3,4,5,6
#           - default is 4 which implies:
#               - 4 rings for single function mode
#default_num_fp=4;
#
# mtu - hardware MTU size
#     - valid values are 1500, 9000 
#     - default is 1500
# default_mtu=1500;
#qede0_mtu=9000;
#qede1_mtu=9000;
#qede2_mtu=9000;
#qede3_mtu=9000;
#
